Subject: I NEED HAY!!

From: [email-masked] (FSStubbs)
Date: 31 May 1996 14:44:20 -0400

Here in Texas we are in one of the worst droughts we have ever
experienced.  We will need every bit of hay we can get down here before
winter.  If you have excess hay that you are trying to sell, please e-mail
me back at [email-masked] or phone first and fax of just phone (210)
828-2068. Ask for Paul or Carlos.